<resources xmlns:tools="http://schemas.android.com/tools">

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="BottomNavigationView.Inactive" parent="@style/TextAppearance.AppCompat.Caption">
        <item name="android:textSize">10sp</item>
        <item name="android:textColor">@color/gun_metal</item>
    </style>

    <style name="BottomNavigationView.Active" parent="@style/TextAppearance.AppCompat.Caption">
        <item name="android:textSize">11sp</item>
        <item name="android:textColor">@color/light_burgundy</item>
    </style>

    <style name="Divider">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:background">@color/pale_grey</item>
    </style>

    <style name="HotelBookingItemSearch">
        <item name="android:ellipsize">end</item>
        <item name="android:lines">1</item>
        <item name="android:textSize">@dimen/text_size_14</item>
        <item name="android:textColor">@color/gun_metal</item>
        <item name="android:drawableTint" tools:targetApi="m">@color/gun_metal</item>
    </style>

    <style name="FlightBookingItemSearch" parent="HotelBookingItemSearch">
    </style>

    <style name="AppBottomSheetDialogTheme" parent="Theme.Design.Light.BottomSheetDialog">
        <item name="android:windowCloseOnTouchOutside">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:colorBackground">@android:color/transparent</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:backgroundDimAmount">0.3</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="bottomSheetStyle">@style/AppModalStyle</item>
    </style>

    <style name="AppModalStyle" parent="Widget.Design.BottomSheet.Modal">
        <item name="android:background">@drawable/shape_white_bg_corner_top_large</item>
    </style>

    <style name="GenderBottomSheetDialogTheme" parent="Theme.Design.Light.BottomSheetDialog">
        <item name="android:windowCloseOnTouchOutside">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <item name="android:colorBackground">@android:color/transparent</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:backgroundDimAmount">0.3</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="bottomSheetStyle">@style/GenderModalStyle</item>
    </style>

    <style name="GenderModalStyle" parent="Widget.Design.BottomSheet.Modal">
        <item name="android:background">@android:color/transparent</item>
    </style>

    <style name="CalendarStyle">
        <item name="android:textColor">@color/dark_slate_blue</item>
        <item name="android:showWeekNumber">false</item>
        <item name="android:selectedWeekBackgroundColor">#330099FF</item>
        <item name="android:focusedMonthDateColor">@color/dark_slate_blue</item>
        <item name="android:unfocusedMonthDateColor">@color/light_burgundy</item>
        <item name="android:weekSeparatorLineColor">#00000000</item>
    </style>

    <style name="TextInputLayout" parent="@android:style/TextAppearance">
        <item name="android:textColor">@color/steel</item>
    </style>

    <style name="TextInputLayout.Error" parent="@android:style/TextAppearance">
        <item name="android:textColor">@color/light_burgundy</item>
    </style>

    <style name="DialogFullScreen" parent="@android:style/Theme.Light.NoTitleBar.Fullscreen">
        <item name="android:windowBackground">@color/dialog_bg_color_default</item>
    </style>

    <style name="RatingBar" parent="@android:style/Widget.RatingBar">
        <item name="android:progressDrawable">@drawable/shape_ratingbar</item>
    </style>

    <style name="RatingBar.Normal" parent="RatingBar">
        <item name="android:minHeight">@dimen/textview_icon_size</item>
        <item name="android:maxHeight">@dimen/textview_icon_size</item>
    </style>

    <style name="RatingBar.Small" parent="RatingBar">
        <item name="android:minHeight">@dimen/textview_icon_size_small</item>
        <item name="android:maxHeight">@dimen/textview_icon_size_small</item>
    </style>

    <style name="RatingBar.Indicator" parent="@android:style/Widget.RatingBar">
        <item name="android:progressDrawable">@drawable/shape_ratingbar_indicator</item>
        <item name="android:indeterminateOnly">false</item>
        <item name="android:minHeight">@dimen/dimen_24</item>
        <item name="android:maxHeight">@dimen/dimen_24</item>
        <item name="android:thumb">@null</item>
        <item name="android:isIndicator">true</item>
    </style>

    <style name="FlightPersonCountSubTitle">
        <item name="android:textSize">@dimen/text_size_12</item>
    </style>

    <style name="til_error_appearance" parent="@android:style/TextAppearance">
        <item name="android:textColor">@color/light_burgundy</item>
    </style>

</resources>
